Subject: Re: [PATCH 2/3] Fix the ':A' word modifier on paths with '..' components.
From: Mikael Magnusson <[email-masked]>
To: Daniel Shahaf <[email-masked]>
Cc: zsh workers <[email-masked]>
Date: Fri, 10 Jun 2016 20:54:43 +0200
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Fri, Jun 10, 2016 at 7:36 PM, Daniel Shahaf <[email-masked]> wrote:
> The fix is to stop calling chabspath() at the top of chrealpath().
>
> Also remove an incorrect comment (passing a non-absolute path would have been
> fine because the chabspath() call would have made it absolute).
> ---
>
> This is an incompatible change; see the test and docs changes for details.

This seems pretty controversial, but I can see people wanting it
either way. See for example the chasedots / chaselinks options,
allowing the user to select which of these behaviors to use for the cd
builtin. I don't think this should be pushed without more discussion
at least.

-- 
Mikael Magnusson